:root {
    --text-color: #333333;
    --link-color: rgb(198, 84, 103);
    --background-color: #f9f9f7;

}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Gaegu', sans-serif;
    background-color: var(--background-color);
    font-size: 30px;
    margin: 10px 50px; 
}
  

a {
    color: var(--link-color);
    text-decoration: none;
}

@keyframes typing {
    from {
        width: 0;
    }
    to {
        width: 100%;
    }
}

@keyframes blink {
    50% {
        border-color: transparent;
    }
}

.typing-effect {
    display: inline-block;
    overflow: hidden;
    white-space: nowrap;
    border-right: 3px solid var(--text-color);
    width: 0;
    animation: typing 3s steps(20, end) forwards, blink 0.7s infinite;
}

@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

@keyframes blink {
  from, to { border-color: transparent }
  50% { border-color: rgb(208, 84, 105) }
}



/* SECTION 1: NAVBAR */
nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: #FFF8F0;
    padding: 15px 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
}

/* Left side (Your Name) */
nav .left {
    font-size: 35px;
    font-weight: 700;
    color: #D37A7A;
}

/* Right side (Social links) */
nav .right {
    display: flex;
    gap: 15px;
    align-items: center;
    margin-left: auto;
}

nav .right a {
    font-size: 25px;
    font-weight: 600;
    color: #D37A7A;
    padding: 8px 12px;
    border-radius: 12px;
    transition: all 0.3s ease-in-out;
    text-decoration: none;
}

nav .right a:last-child {
    background-color: #D37A7A;
    color: white;
}

/* Hover effects */
nav .right a:hover {
    background-color: #1A1C20;
    color: #ffffff;
    transform: translateY(-3px);
}


/* SECTION 2: ABOUT */
.about-section {
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    padding: 100px 50px;
    margin: 50px 0;
    margin-bottom: 80px;
    gap: 40px;
    background-color: var(--background-color);
}

.about-section .text {
    flex: 5; 
    font-size: 35px;
    max-width: 1000px;

}

.about-section .text h2{
    font-size: 80px;
    max-width: 750px;


}

.about-section .text .links{
    margin-top: 25px;

}

.about-section .text .links a {
    display: inline-block;
    padding: 5px 10px;
    border: 2px solid var(--link-color);
    border-radius: 5px;
    margin-right: 12px;
    margin-bottom: 12px;
    transition: 1.s;
}

.about-section .text .links a:hover {
    color: var(--background-color);
    border: 2px solid var(--text-color);
    background-color: #1a1c20;
    transform: translateY(-5px);

}

.about-section .headshot {
    flex: 2;
    display: flex;
    justify-content: center;
}

.about-section .headshot img{
    width: 480px;
    border-radius: 50%;
}

/* SECTION 2: EXPERIENCES */
.experiences-section {
    margin-bottom: 50px;
    text-align: center;
    max-width: 1300px;
    margin-left: auto;
    margin-right: auto;
    background-color: var(--background-color);
    padding: 50px 50px;
    
}

.experiences-section h2 {
    font-size: 50px;
    margin-bottom: 30px;
    color: var(--text-color);
    position: relative;
}

.experiences-section h2::after {
    content: '';
    display: block;
    width: 80px;
    height: 4px;
    background-color: rgb(243, 203, 209);
    margin: 10px auto 0;
    border-radius: 2px;
}

.experiences-section .work-company {
    flex: 2;
    display: flex;
    justify-content: space-evenly;
    margin: 50px 50px;
}

.company-logo {
    width: 300px;
    height: auto;
    object-fit: contain;
}

.experience-text {
    margin-left: 60px;
    text-align: justify;
}

.job-title {
    font-size: 35px;
    font-weight: 600;
    color: var(--text-color);
    margin: 20px;
    text-align: center;
}

.experience-header {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 15px;
}

/* SECTION 3: PROJECTS */
.projects-section {
    margin-bottom: 50px;
    text-align: center;
    max-width: 1300px;
    margin-left: auto;
    margin-right: auto;
}

.projects-section h2 {
    font-size: 50px;
    margin-bottom: 30px;
    color: var(--text-color);
    position: relative;
}

.projects-section h2::after {
    content: '';
    display: block;
    width: 80px;
    height: 4px;
    background-color: rgb(243, 203, 209);
    margin: 10px auto 0;
    border-radius: 2px;
}

.projects-section .project-info {
    flex: 2;
    display: flex;
    justify-content: space-evenly;
    margin: 50px 50px;
}

.project-screenshot {
    width: 400px;
    height: auto;
    object-fit: contain;

}

.project-text {
    margin-top: 100px;
    margin-left: 40px;
    text-align: justify;
}

.project-text h4:hover {
    color: rgb(239, 158, 171);
    text-decoration:underline;
}

.project-title {
    font-size: 35px;
    font-weight: 600;
    margin: 20px;
    text-align: center;
}

.project-photo {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 15px;
}


/* SECTION 4: Skills */
.skills-section {
    text-align: center;
    background-color: var(--background-color);
    padding: 50px 50px;
    margin-bottom: 50px;
}

.skills-section h2 {
    font-size: 50px;
    margin-bottom: 30px;
    color: var(--text-color);
    position: relative;
}

.skills-section h2::after {
    content: '';
    display: block;
    width: 80px;
    height: 4px;
    background-color:  rgb(243, 203, 209);
    margin: 10px auto 0;
    border-radius: 2px;
}

.skills-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: 20px;
    max-width: 700px;
    margin: 0 auto;
}

.skill-badge {
    background-color: #ffffff;
    color: var(--text-color);
    padding: 12px 20px;
    border-radius: 25px;
    font-weight: 500;
    font-size: 20px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease-in-out;
    border: 1px solid var(--text-color);
}

.skill-badge:hover {
    background-color: var(--text-color);
    color: #fff;
    transform: translateY(-5px);
}

.skill-category {
    font-size: 30px;
    font-weight: 600;
    margin: 30px 0 15px;
    color: var(--text-color);
}


@media (max-width: 850px) {
    .about-section .text h2 {
        font-size: 35px;
    }

}

@media (max-width: 740px) {
    .about-section {
        flex-direction: column-reverse;
        }

    .about-section .headshot img{
        width: 300px;
    }

}

@media (max-width: 600px) {
    nav {
        padding: 0 20px;
    }

    nav .right a {
        font-size: 22px;
    }

    nav .right a:last-child{
        color: var(--text-color);
        background-color: transparent;
        padding: 0;
    }

    nav .right a span{
        display: none;
    }

}